/*
 * Copyright 2008-2012 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.broadleafcommerce.openadmin.client;

import com.google.gwt.i18n.client.ConstantsWithLookup;
import com.google.gwt.i18n.client.LocalizableResource.DefaultLocale;
import com.google.gwt.i18n.client.LocalizableResource.Generate;

/**
 * 
 * @author ppatel
 *
 */
@Generate(format = "com.google.gwt.i18n.rebind.format.PropertiesFormat")
@DefaultLocale("en_US")
public interface GeneratedMessagesEntityFramework extends ConstantsWithLookup {
    public String CategoryImpl_baseCategory();
    public String CategoryImpl_Category_ID();
    public String CategoryImpl_Category_Name();
    public String CategoryImpl_Category_Url();
    public String CategoryImpl_Category_Url_Key();
    public String CategoryImpl_Category_Description();
    public String CategoryImpl_Category_Active_Start_Date();
    public String CategoryImpl_Category_Active_End_Date();
    public String CategoryImpl_Category_Display_Template();
    public String CategoryImpl_Category_Long_Description();
    public String CategoryImpl_Category_Default_Parent();
    public String CrossSaleProductImpl_Cross_Sale_Promotion_Message();
    public String FeaturedProductImpl_Featured_Product_Promotion_Message();
    public String ProductAttributeImpl_baseProductAttribute();
    public String ProductAttributeImpl_Attribute_Name();
    public String ProductAttributeImpl_Attribute_Value();
    public String ProductAttributeImpl_Attribute_Searchable();
    public String ProductDimension_Product_Width();
    public String ProductDimension_Product_Height();
    public String ProductDimension_Product_Depth();
    public String ProductDimension_Product_Girth();
    public String ProductDimension_Product_Container_Size();
    public String ProductDimension_Product_Container_Shape();
    public String ProductDimension_Product_Dimension_Units();
    public String ProductImpl_baseProduct();
    public String ProductImpl_Product_ID();
    public String ProductImpl_Product_Name();
    public String ProductImpl_Product_Description();
    public String ProductImpl_Product_Long_Description();
    public String ProductImpl_Product_Active_Start_Date();
    public String ProductImpl_Product_Active_End_Date();
    public String ProductImpl_Product_Active_Date_Range();
    public String ProductImpl_Product_Model();
    public String ProductImpl_Product_Manufacturer();
    public String ProductImpl_Is_Featured_Product();
    public String ProductImpl_Is_Product_Machine_Sortable();
    public String ProductImpl_Product_Default_Category();
    public String ProductWeight_Product_Weight();
    public String ProductWeight_Product_Weight_Units();
    public String SkuImpl_Sku_ID();
    public String SkuImpl_Sku_Sale_Price();
    public String SkuImpl_Sku_Retail_Price();
    public String SkuImpl_Sku_Name();
    public String SkuImpl_Sku_Description();
    public String SkuImpl_Sku_Large_Description();
    public String SkuImpl_Sku_Taxable();
    public String SkuImpl_Sku_Discountable();
    public String SkuImpl_Sku_Available();
    public String SkuImpl_Sku_Start_Date();
    public String SkuImpl_Sku_End_Date();
    public String UpSaleProductImpl_Upsale_Promotion_Message();
    public String SkuAvailabilityImpl_Sku_Availability_ID();
    public String SkuAvailabilityImpl_Sku_ID();
    public String SkuAvailabilityImpl_Location_ID();
    public String SkuAvailabilityImpl_Quantity_On_Hand();
    public String SkuAvailabilityImpl_Reserve_Quantity();
    public String SkuAvailabilityImpl_Availability_Status();
    public String SkuAvailabilityImpl_Available_Date();
    public String MediaImpl_Media_Title();
    public String MediaImpl_Media_Url();
    public String MediaImpl_Media_Alt_Text();
    public String MediaImpl_Media_Tags();
    public String FulfillmentGroupAdjustmentImpl_baseFulfillmentGroupAdjustment();
    public String FulfillmentGroupAdjustmentImpl_FG_Adjustment_Reason();
    public String FulfillmentGroupAdjustmentImpl_FG_Adjustment_Value();
    public String OfferCodeImpl_baseOfferCode();
    public String OfferCodeImpl_Offer_Code_Id();
    public String OfferCodeImpl_Offer();
    public String OfferCodeImpl_Offer_Code();
    public String OfferCodeImpl_Code_Start_Date();
    public String OfferCodeImpl_Code_End_Date();
    public String OfferCodeImpl_Code_Max_Uses();
    public String OfferCodeImpl_Code_Uses();
    public String OfferImpl_baseOffer();
    public String OfferImpl_Offer_Id();
    public String OfferImpl_Offer_Name();
    public String OfferImpl_Offer_Description();
    public String OfferImpl_Offer_Type();
    public String OfferImpl_Offer_Discount_Type();
    public String OfferImpl_Offer_Value();
    public String OfferImpl_Offer_Priority();
    public String OfferImpl_Offer_Start_Date();
    public String OfferImpl_Offer_End_Date();
    public String OfferImpl_Offer_Stackable();
    public String OfferImpl_Offer_Target_System();
    public String OfferImpl_Apply_To_Sale_Price();
    public String OfferImpl_Offer_Combinable();
    public String OfferImpl_Offer_Delivery_Type();
    public String OfferImpl_Offer_Max_Uses_Per_Order();
    public String OfferImpl_Max_Uses_Per_Customer();
    public String OfferImpl_Offer_Current_Uses();
    public String OfferImpl_Item_Qualifier_Rule();
    public String OfferImpl_Item_Target_Rule();
    public String OfferImpl_Target_Item_Criteria();
    public String OfferImpl_Totalitarian_Offer();
    public String OfferImpl_Treat_As_New_Format();
    public String OfferItemCriteriaImpl_baseOfferItemCriteria();
    public String OfferItemCriteriaImpl_Item_Criteria_Id();
    public String OfferItemCriteriaImpl_Quantity();
    public String OfferItemCriteriaImpl_Order_Item_Match_Rule();
    public String OrderAdjustmentImpl_baseOrderAdjustment();
    public String OrderAdjustmentImpl_Order_Adjustment_Reason();
    public String OrderAdjustmentImpl_Order_Adjustment_Value();
    public String OrderItemAdjustmentImpl_baseOrderItemAdjustment();
    public String OrderItemAdjustmentImpl_Item_Adjustment_Reason();
    public String OrderItemAdjustmentImpl_Item_Adjustment_Value();
    public String OrderItemAdjustmentImpl_Apply_To_Sale_Price();
    public String BundleOrderItemImpl_bundleOrderItem();
    public String DiscreteOrderItemFeePriceImpl_baseDiscreteOrderItemFreePrice();
    public String DiscreteOrderItemFeePriceImpl_Amount();
    public String DiscreteOrderItemFeePriceImpl_Name();
    public String DiscreteOrderItemFeePriceImpl_Reporting_Code();
    public String DiscreteOrderItemImpl_discreteOrderItem();
    public String DiscreteOrderItemImpl_Base_Retail_Price();
    public String DiscreteOrderItemImpl_Base_Sale_Price();
    public String DynamicPriceDiscreteOrderItemImpl_dynamicPriceOrderItem();
    public String FulfillmentGroupFeeImpl_Total_Fee_Tax();
    public String FulfillmentGroupImpl_baseFulfillmentGroup();
    public String FulfillmentGroupImpl_FG_Reference_Number();
    public String FulfillmentGroupImpl_Shipping_Method();
    public String FulfillmentGroupImpl_Shipping_Service();
    public String FulfillmentGroupImpl_Retail_Shipping_Price();
    public String FulfillmentGroupImpl_Sale_Shipping_Price();
    public String FulfillmentGroupImpl_Shipping_Price();
    public String FulfillmentGroupImpl_FG_Type();
    public String FulfillmentGroupImpl_FG_Total_Tax();
    public String FulfillmentGroupImpl_FG_Total_Item_Tax();
    public String FulfillmentGroupImpl_FG_Total_Fee_Tax();
    public String FulfillmentGroupImpl_FG_Total_FG_Tax();
    public String FulfillmentGroupImpl_FG_Delivery_Instruction();
    public String FulfillmentGroupImpl_Primary_FG();
    public String FulfillmentGroupImpl_FG_Merchandise_Total();
    public String FulfillmentGroupImpl_FG_Total();
    public String FulfillmentGroupImpl_FG_Status();
    public String FulfillmentGroupImpl_Shipping_Price_Taxable();
    public String FulfillmentGroupItemImpl_Total_Item_Tax();
    public String GiftWrapOrderItemImpl_giftWrapOrderItem();
    public String OrderAttributeImpl_baseProductAttribute();
    public String OrderAttributeImpl_Attribute_Name();
    public String OrderAttributeImpl_Attribute_Value();
    public String OrderImpl_baseOrder();
    public String OrderImpl_Order_Name();
    public String OrderImpl_Order_Status();
    public String OrderImpl_Order_Total_Tax();
    public String OrderImpl_Order_Total_Shipping();
    public String OrderImpl_Order_Subtotal();
    public String OrderImpl_Order_Total();
    public String OrderImpl_Order_Submit_Date();
    public String OrderImpl_Order_Number();
    public String OrderImpl_Order_Email_Address();
    public String OrderItemAttributeImpl_baseProductAttribute();
    public String OrderItemAttributeImpl_Attribute_Name();
    public String OrderItemAttributeImpl_Attribute_Value();
    public String OrderItemImpl_baseOrderItem();
    public String OrderItemImpl_Order_Item_ID();
    public String OrderItemImpl_Item_Retail_Price();
    public String OrderItemImpl_Item_Sale_Price();
    public String OrderItemImpl_Item_Price();
    public String OrderItemImpl_Item_Quantity();
    public String OrderItemImpl_Item_Name();
    public String PersonalMessageImpl_Message_To();
    public String PersonalMessageImpl_Message_From();
    public String PersonalMessageImpl_Message();
    public String PersonalMessageImpl_Occasion();
    public String TaxDetailImpl_baseTaxDetail();
    public String TaxDetailImpl_Tax_Type();
    public String TaxDetailImpl_Tax_Amount();
    public String TaxDetailImpl_Tax_Rate();
    public String PaymentInfoImpl_basePaymentInfo();
    public String PaymentInfoImpl_Payment_Address();
    public String PaymentInfoImpl_Payment_Phone();
    public String PaymentInfoImpl_Payment_Amount();
    public String PaymentInfoImpl_Payment_Reference_Number();
    public String PaymentInfoImpl_Payment_Type();
    public String PaymentInfoImpl_Payment_IP_Address();
    public String PaymentLogImpl_User_Name();
    public String PaymentLogImpl_Transaction_Time();
    public String PaymentLogImpl_Payment_Ref_Number();
    public String PaymentLogImpl_Transaction_Type();
    public String PaymentLogImpl_Transaction_Successfule();
    public String PaymentLogImpl_Exception_Message();
    public String PaymentLogImpl_Type();
    public String PaymentLogImpl_Amount();
    public String PaymentResponseItemImpl_User_Name();
    public String PaymentResponseItemImpl_Amount();
    public String PaymentResponseItemImpl_Authorization_Code();
    public String PaymentResponseItemImpl_Middleware_Response_Code();
    public String PaymentResponseItemImpl_Middleware_Response_Text();
    public String PaymentResponseItemImpl_Processor_Response_Code();
    public String PaymentResponseItemImpl_Processor_Response_Text();
    public String PaymentResponseItemImpl_Implementer_Response_Code();
    public String PaymentResponseItemImpl_Implementer_Response_Text();
    public String PaymentResponseItemImpl_Response_Ref_Number();
    public String PaymentResponseItemImpl_Transaction_Successful();
    public String PaymentResponseItemImpl_Transaction_Time();
    public String PaymentResponseItemImpl_Transaction_Id();
    public String PaymentResponseItemImpl_AVS_Code();
    public String PaymentResponseItemImpl_Remaining_Balance();
    public String PaymentResponseItemImpl_Transaction_Type();
    public String PaymentResponseItemImpl_Payment_Ref_Number();

    public String CategoryImpl_Active_Date_Range();
    public String CategoryImpl_Description();
    public String CategoryImpl_Primary_Key();
    public String ProductAttributeImpl_Description();
    public String ProductDimension_Dimension();
    public String ProductImpl_Active_Date_Range();
    public String ProductImpl_Primary_Key();
    public String ProductWeight_Weight();
    public String SkuImpl_Price();
    public String SkuImpl_Primary_Key();
    public String SkuAvailabilityImpl_Description();
    public String SkuAvailabilityImpl_Primary_Key();
    public String FulfillmentGroupAdjustmentImpl_Description();
    public String OfferCodeImpl_Activity_Range();
    public String OfferCodeImpl_Description();
    public String OfferImpl_Activity_Range();
    public String OfferImpl_Amount();
    public String OfferImpl_Application();
    public String OfferImpl_Description();
    public String OfferItemCriteriaImpl_Description();
    public String OrderAdjustmentImpl_Description();
    public String OrderItemAdjustmentImpl_Description();
    public String DiscreteOrderItemFeePriceImpl_Description();
    public String DiscreteOrderItemImpl_Pricing();
    public String FulfillmentGroupFeeImpl_Pricing();
    public String FulfillmentGroupImpl_Description();
    public String FulfillmentGroupImpl_Pricing();
    public String FulfillmentGroupItemImpl_Pricing();
    public String OrderAttributeImpl_Description();
    public String OrderImpl_Order();
    public String OrderItemAttributeImpl_Description();
    public String OrderItemImpl_Description();
    public String OrderItemImpl_Pricing();
    public String OrderItemImpl_Primary_Key();
    public String PersonalMessageImpl_Personal_Message();
    public String TaxDetailImpl_Tax_Detail();
    public String PaymentInfoImpl_Address();
    public String PaymentInfoImpl_Description();
    public String PaymentInfoImpl_Phone();
    public String PaymentLogImpl_Payment_Log();
    public String PaymentResponseItemImpl_Payment_Response();
   
    public String BundleOrderItemImpl_Base_Retail_Price();
    public String BundleOrderItemImpl_Base_Sale_Price();
    public String ProductImpl_Can_Sell_Without_Options();


}
